# Class: YARD::Handlers::RBS::AttributeHandler

Inherits:
  Base
  - Object
  - Handlers::Base
  - Base
  - YARD::Handlers::RBS::AttributeHandler
  show all

Defined in:
  lib/yard/handlers/rbs/attribute_handler.rb

## Overview

Handles RBS attr_reader, attr_writer, and attr_accessor declarations.

Registers one or two CodeObjects::MethodObject instances (reader and/or writer) with @return / @param tags derived from the RBS type.